Bug 727788 - Error autoremove not available on every uninstall using kpackagekit
Error autoremove not available on every uninstall using kpackagekit
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kpackagekit (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-03 04:58 EDT by Fabien Archambault
Modified: 2011-10-24 23:30 EDT (History)
6 users (show)

See Also:
Fixed In Version: apper-0.7.1-0.3.20111021.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-22 04:24:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabien Archambault 2011-08-03 04:58:24 EDT
Description of problem: Every time I remove something with kpackagekit I have an error message even if it deletes the package


Version-Release number of selected component (if applicable):
# kpackagekit --version
Qt: 4.7.3
KDE Development Platform: 4.6.5 (4.6.5)
KPackageKit: 0.6.3.3


How reproducible: always


Steps to Reproduce:
1. Install any package using kpackagekit
2. remove it with kpackagekit
3. See the error message:
10:57:29 - The parameter was invalid
the yum backend does not support autoremove
  
Actual results: Error message


Expected results: As in PackageKit with gnome it should not give an error...


Additional info:
Comment 1 Richard Hughes 2011-08-03 05:13:06 EDT
kpackagekit probably shouldn't be setting autoremove=true by default; that option was designed for embedded systems like mobile phones.
Comment 2 Kevin Kofler 2011-08-03 05:18:37 EDT
FWIW, current versions of yum track the information required to support autoremove in their database, so at least in theory it should now be possible to implement. Now, whether it makes sense to use it in KPK in the first place is another question.
Comment 3 Richard Hughes 2011-08-03 05:35:36 EDT
Yes, I know. The two big problems with turning on autoremove in yum as as follows:

* If the user uses raw rpm then the yumdb does not get updated and bad things happen

* That the user is not expecting tons of packages (that they might still be using) to also be removed. The only way to solve that, is with a little checkbox in the UI ([x] also remove other software installed with this package) but the designers would shoot me for that.
Comment 4 Kevin Kofler 2011-08-03 05:53:19 EDT
The KDE folks might actually go with the extra checkbox though. :-) (I'd have to ask Daniel what he thinks.) In any case, the backend should support it; whether the UI supports it or not is the UI's business.

If the yum database has no information about a package, the safe thing to do is to not autoremove it.

But for now, the best thing to do is probably to just patch out the use of autoremove from KPK.
Comment 5 Rex Dieter 2011-10-12 22:40:39 EDT
Overheard someone on irc report seeing this.

I can't seem to reproduce this, I can add/remove apps, and not see any such errors.  

$ rpm -q PackageKit kpackagekit
PackageKit-0.6.17-1.fc15.x86_64
kpackagekit-0.6.3.3-2.fc15.x86_64
Comment 6 Fedora Update System 2011-10-12 23:09:35 EDT
kpackagekit-0.6.3.3-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kpackagekit-0.6.3.3-4.fc15
Comment 7 Fedora Update System 2011-10-12 23:10:19 EDT
kpackagekit-0.6.3.3-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kpackagekit-0.6.3.3-4.fc16
Comment 8 Fedora Update System 2011-10-13 14:12:51 EDT
Package kpackagekit-0.6.3.3-4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kpackagekit-0.6.3.3-4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14262
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2011-10-22 04:24:20 EDT
kpackagekit-0.6.3.3-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2011-10-24 23:30:22 EDT
apper-0.7.1-0.3.20111021.fc16, kde-settings-4.7-13.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.